html, body {
    overflow-x: hidden;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Poppins';
}

.slider {
    width: 100%;      /* change size as needed */
    height: 100vh;
    overflow: hidden;
    position: relative;
}

.slider-img {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    opacity: 0;
    transition: opacity 2s ease; /* smooth fade */
    filter: blur(0.2px);
}

.slider-img.active {
    opacity: 1;
}

.slider-content {
    position: absolute;
    top: 0;
    right: 3%;
    text-align: center;
    color: #fff;
    z-index: 10;
    background: rgba(144, 144, 144, 0.8); 
    padding: 10px;
    width: 300px;
    height: 440px;
}

.slider-content h1 {
    font-size: 48px;
    font-weight: 600;
    letter-spacing: 2px;
    margin: 0;
    font-family: 'Catchy Mager', sans-serif;
}

.slider-content p {
    font-size: 30px;
    font-weight: 1000;
    letter-spacing: 1px;
    margin: 0;
    color: red;
}

.slider-content p:first-child {
    margin-top: 10px;
}

.slider-content p:last-child {
    margin-bottom: 10px;
}

.slider-content img {
    max-width: 100%;
    border-radius: 50px;
    height: auto;
    display: block;
}

.lux-btn {
    display: inline-block;
    padding: 12px 36px;
    font-size: 1rem;
    letter-spacing: 1.5px;
    color: white;
    border: 1px solid rgba(255, 255, 255, 0.7);
    text-decoration: none;
    transition: 0.4s ease;
    border-radius: 50px;
    background: rgba(255, 255, 255, 0.15);
    margin-bottom: 18px;
}

.lux-btn:hover {
    background: rgba(255, 255, 255, 0.25);
    border-color: #fff;
    cursor: pointer;
}

.lux-btn-redirect {
    display: inline-block;
    border: 1px solid rgba(255, 255, 255, 0.7);
    border-radius: 50px;
    box-sizing: border-box;
}

.arrow-down {
    position: absolute;
    top: 460px;
    right: 3%;
    width: 0; 
    height: 0; 
    border-left: 160px solid transparent;
    border-right: 160px solid transparent;

    border-top: 100px solid rgba(144, 144, 144, 0.8);
    z-index: 10;
}

@media (max-width: 1000px) {
    .slider-content {
        width: 200px;
        height: 340px;
    }

    .slider-content h1 {
        font-size: 32px;
    }

    .slider-content p {
        font-size: 20px;
    }
    
    .arrow-down {
        top: 360px;
        border-left: 110px solid transparent;
        border-right: 110px solid transparent;
        border-top: 80px solid rgba(144, 144, 144, 0.8);
    }

    .lux-btn {
        font-size: 0.7rem;
    }
}

@media (max-width: 500px) {
    .slider-content {
        left: 50%;
        transform: translateX(-50%);
    }

    .arrow-down {
        left: 50%;
        transform: translateX(-50%);
    }
}


.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.6);
    backdrop-filter: blur(4px);
    z-index: 50;
    display: none;
}

.form-sbw {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.9);
    z-index: 999;
    background-color: rgba(144, 144, 144);
    padding: 20px;
    border: 1px solid white;
    color: white;
    display: none;
}

.form-sbw.show {
    display: block;
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    animation: popupSlide .45s ease-out;
}

@keyframes popupSlide {
    0% {
        opacity: 0;
        transform: translate(-50%, -40%) scale(0.95);
    }
    100% {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }
}

.form-sbw form {
    display: flex;
    flex-direction: column;
}

.form-sbw form input {
    width: 300px;
    padding: 10px 10px 10px 0px;
    margin-bottom: 16px;
    background-color: transparent;
    color: white;
    border: none;
    border-bottom: 2px solid #FFF5E2;
    font-size: 14px;
}

.form-sbw form input::placeholder {
    color: white;
}

.form-sbw form input:focus {
    outline: none;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 14px;
    background: transparent;
    border: none;
    font-size: 26px;
    color: white;
    cursor: pointer;
}

.button-container {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.button-container button {
    padding: 20px;
    color: white;
    border-radius: 8px;
    text-decoration: none;
    background: rgba(255, 255, 255, 0.15);
    border: 1px solid rgba(255, 255, 255, 0.7);
    margin-right: 12px;
}

.button-container button:hover {
    cursor: pointer;
    background: rgba(255, 255, 255, 0.25);
    border-color: #fff;
}

#button-status {
    margin: 0;
    color: white;
}
